Providers

Contents

Get many providers

Endpoint

GET /api/{api_version}/providers  

Authentication

Send a bearer token from the API clients section:

Authorization: Bearer YOUR_TOKEN_VALUE

Tokens must be active, not revoked, and not expired.

Query parameters

ParameterInTypeRequiredDescriptionExample
AuthorizationheaderstringtrueA valid API token must be provided in the Authorization header to access this endpoint.test_10f697511912efc58705f64cd7df5ab508cf35c37cab549abe2b6e7a2a038fff
academic_yearqueryintegerfalseFilters providers by the specified academic year. The value must be a 4-digit year, for example 2025. If not provided, the API will return providers active in the current academic year. 2026
api_versionpathstringtrueThe API version to use in the request path. This should be set to the latest version for this endpoint. v0
changed_sincequerystringfalseFilters providers to only those updated after the specified timestamp. The value must be an ISO 8601 datetime, for example: 2025-09-14T11:34:56Z. 2026-09-14T11:34:56Z

Possible responses

HTTP 200 returns an array of training providers
{
  "data": [
    {
      "id": "37a744e0-40e1-4be1-bac6-f844e3035716",
      "operating_name": "Higher education institution (HEI) 2462",
      "provider_type": "hei",
      "code": "VFJ",
      "accreditation_status": "unaccredited",
      "ukprn": "44564753",
      "urn": null,
      "updated_at": "2026-09-15T11:34:56Z"
    },
    {
      "id": "e455c483-ed5b-4207-becd-af1e735898c0",
      "operating_name": "Higher education institution (HEI) 7709",
      "provider_type": "hei",
      "code": "PAZ",
      "accreditation_status": "accredited",
      "ukprn": "34400987",
      "urn": null,
      "updated_at": "2026-09-15T11:34:56Z"
    },
    {
      "id": "2b791634-cceb-489d-aecd-f508a675ff4e",
      "operating_name": "Other 1996",
      "provider_type": "other",
      "code": "RGQ",
      "accreditation_status": "accredited",
      "ukprn": "89186965",
      "urn": null,
      "updated_at": "2026-09-15T11:34:56Z"
    },
    {
      "id": "f5a66d76-1313-4bed-92d0-3d57a4939658",
      "operating_name": "Other 3576",
      "provider_type": "other",
      "code": "9T7",
      "accreditation_status": "unaccredited",
      "ukprn": "66322726",
      "urn": null,
      "updated_at": "2026-09-15T11:34:56Z"
    },
    {
      "id": "42adfd01-d4db-4601-8ba8-08251aaa21a1",
      "operating_name": "School 3699",
      "provider_type": "school",
      "code": "YP8",
      "accreditation_status": "unaccredited",
      "ukprn": "10792824",
      "urn": "421472",
      "updated_at": "2026-09-15T11:34:56Z"
    },
    {
      "id": "10bdc5c7-009b-45cf-bc95-5ce192250b1a",
      "operating_name": "School-centred initial teacher training (SCITT) 6932",
      "provider_type": "scitt",
      "code": "ALV",
      "accreditation_status": "accredited",
      "ukprn": "95696736",
      "urn": "806304",
      "updated_at": "2026-09-15T11:34:56Z"
    }
  ]
}
HTTP 401 returns 401 Unauthorized for invalid token
{
  "error": "Unauthorized"
}

Schema

FieldTypeRequiredDescriptionExample
dataarraytrueAn array of training provider objects matching the specified filters.
data[].idstringtrueThe unique UUID identifier for the training provider.7bcf4928-a0c7-4fa7-aa46-d4297eec31e0
data[].operating_namestringtrueThe primary business or operating name of the training provider.Bobby Jacob University
data[].provider_typestringtrueThe classification of the provider.

Possible values:
  • hei
  • scitt
  • school
  • other
hei
data[].codestringtrueThe unique 3-character identifier code for the provider.1BJ
data[].accreditation_statusstringtrueThe current accreditation status of the provider.

Possible values:
  • accredited
  • unaccredited
accredited
data[].ukprnstringtrueThe 8-digit UK Provider Reference Number.77336264
data[].urn["string", "null"]trueThe 6-digit Unique Reference Number for schools.543380
data[].updated_atstringtrueThe ISO 8601 timestamp of when the provider record was last modified.

This field will be in the format date-time.
2025-09-15T11:34:56Z